#include <iostream>
using namespace std;
int main()
{
    int x1, x2, y1, y2, br;
    cin >> x1 >> y1 >> x2 >> y2;
    if ((abs(x1 - x2) == abs(y1 - y2)) || (abs(x2 - x1) == abs(y2 - y1)))
        br = 1;
    else if ((x1 == x2) || (y1 == y2))
        br = 2;
    else
        br = 0;
    cout << br;
}